Package Details: kmscon-git 2:a-1

Git Clone URL: https://aur.archlinux.org/kmscon-git.git (read-only, click to copy)
Package Base: kmscon-git
Description: Terminal emulator based on Kernel Mode Setting (KMS)
Upstream URL: https://github.com/dvdhrm/kmscon
Licenses: MIT
Conflicts: kmscon
Provides: kmscon
Submitter: thestinger
Maintainer: swiftgeek (nickoe, dvdhrm)
Last Packager: swiftgeek
Votes: 12
Popularity: 0.000000
First Submitted: 2012-06-25 05:37
Last Updated: 2019-08-10 20:07

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

swiftgeek commented on 2013-06-19 02:27

And why gddf4126 ? short sha of commit is more useful

thestinger commented on 2013-06-18 18:32

@swiftgeek: freedesktop.org is where it's hosted now

swiftgeek commented on 2013-06-18 17:49

Please make pkgver() saner (and revert source to github but i'm not sure about that)
https://gist.github.com/swiftgeek/5807637

yangtsesu commented on 2013-03-02 03:22

git://people.freedesktop.org/~dvdhrm/kmscon

dvdhrm commented on 2013-02-28 11:15

@thestinger
I just released kmscon-7. Release-notes can be found here:
https://github.com/dvdhrm/kmscon/commit/ed6d7fa1166b20e4dfbcdb59035c6bc0bc293028

Cheers
David

dvdhrm commented on 2013-02-10 15:20

@BiggArs you have to use '=' for assignments in config files. So use:
font-size=12

I am working on a proper config-file parser. The current one was just a simple workaround.

Anonymous comment on 2013-02-09 18:20

@dvdhrm i have a problem with default config. Font options (such 'font-size', 'font-engine') don't recognize. My config /etc/kmscon/kmscon.conf:

verbose
switchvt
login
font-size 12
font-engine freetype2

Trying to start and i get:

фев 09 22:03:06 archbook kmscon[6521]: [0000.002462] ERROR: config: unknown config option 'font-size 12'
фев 09 22:03:06 archbook kmscon[6521]: [0000.002538] ERROR: cannot load configuration: -14

Without parameters for font options, such this config:

verbose
switchvt
login
font-size
font-engine

i get:

фев 09 22:19:04 archbook kmscon[6728]: [0000.000275] ERROR: config: config option 'font-size' requires an argument
фев 09 22:19:04 archbook kmscon[6728]: [0000.000324] ERROR: cannot load configuration: -14


May be i doing soething wrong?
Thanks.

dvdhrm commented on 2013-01-20 15:33

I talked with Ran-Benita (xkbcommon dev) and he also suggested to move the xkeyboard-config dependency to libxkbcommon. The thing is, xkeyboard-config installs the keyboard-configuration files but libxkbcommon takes the path to the directory as ./configure option. So libxkbcommon depends on xkeyboard-config, not the other way around.
Can you fix this for libxkbcommon and kmscon? Or what do you think on that?

thestinger commented on 2013-01-19 15:38

@swiftgeek: It shouldn't use a shallow clone - this only clones the repository once, and then pulls changes the next time you build it. The prototype git PKGBUILD in /usr/share/pacman does it this way.

Luckily pacman 4.1 will bring VCS support in makepkg, so it won't be something to worry about per-package.

swiftgeek commented on 2013-01-17 05:01

Please use shallow clone
git clone --depth=1 $_gitroot $_gitname
https://aur.archlinux.org/packages/sl/slic3r-git/PKGBUILD